# Update a task (deprecated)

Updates a task using the provided parameters.

Endpoint: PATCH /v1/tasks/{id}
Version: 1.0.0
Security: apiKeyAuth, practiceGroupId

## Security:

  - `apiKeyAuth` (unknown)
    apiKey in header x-api-key

  - `practiceGroupId` (unknown)
    apiKey in header x-practice-group-id

## Path parameters:

  - `id` (string, required)

## Request fields (application/json):

  - `status` (string)
    Enum: "open", "closed", "in_progress"

  - `priority` (string)
    Enum: "lowest", "low", "medium", "high", "highest"

  - `assignee_type` (string)
    Enum: "admin", "admin_team"

  - `assignee_id` (string)

## Response 200:

  - `200` (unknown)
    Ok

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.id` (string, required)

## Response 403:

  - `403` (unknown)
    Unauthorised

## Response 429:

  - `429` (unknown)
    Too Many Requests

## Response 500:

  - `500` (unknown)
    Unknown error

